gnutls_cipher_encrypt2(3)

NAME
gnutls_cipher_encrypt2 - API function

SYNOPSIS
#include <gnutls/crypto.h>

int gnutls_cipher_encrypt2(gnutls_cipher_hd_t handle, const void * text, size_t textlen, void * ciphertext, size_t ciphertextlen);

ARGUMENTS

gnutls_cipher_hd_t handle
    is a gnutls_cipher_hd_t structure.

const void * text
    the data to encrypt

size_t textlen
    The length of data to encrypt

void * ciphertext
    the encrypted data

size_t ciphertextlen
    The available length for encrypted data

DESCRIPTION
This function will encrypt the given data using the algorithm specified by the context.

RETURNS
Zero or a negative error code on error.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/